Page MenuHomePhabricator

Flow: title of suppressed topic and username of poster of suppressed topic are still visible in page histories
Closed, ResolvedPublic

Description

Title and username of suppressed topic visible

See attachment. This topic is suppressed and does not even appear on the page for a logged out user, but they can still see the title of a suppressed topic and the username of the person that posted it.

Clicking on the title of the topic just takes you back to [[Talk:Flow]] as expected.


Version: unspecified
Severity: blocker
Whiteboard: flow_suppression

Attached:

Details

Reference
bz61715

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 2:58 AM
bzimport set Reference to bz61715.
bzimport added a subscriber: Unknown Object (MLST).
Deskana created this task.Feb 20 2014, 11:44 PM

Marking the severity of this as "blocker" seems harsh at first glance, but having suppressed information visible in any way, shape or form is definitely a blocker to further deployments of Flow.

Good catch. Will get a fixed deployed next LD window (Tuesday).

Change 114679 had a related patch set uploaded by Matthias Mullie:
(Bug 61715) Make history entries look at most recent revision

https://gerrit.wikimedia.org/r/114679

Change 114679 merged by jenkins-bot:
(Bug 61715) Make history entries look at most recent revision

https://gerrit.wikimedia.org/r/114679

Change 115432 had a related patch set uploaded by EBernhardson:
(Bug 61715) Make history entries look at most recent revision

https://gerrit.wikimedia.org/r/115432

Change 115432 abandoned by EBernhardson:
(Bug 61715) Make history entries look at most recent revision

Reason:
probably more trouble and risk than its worth to backport this

https://gerrit.wikimedia.org/r/115432

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:33 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 28 2016, 5:57 PM